"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperationPath = void 0;
const core_1 = require("@tsed/core");
const jsonEntityFn_1 = require("../common/jsonEntityFn");
/**
 * Declare new Operation with his path and http method.
 *
 * ::: warning
 * Don't use decorator with Ts.ED application.
 *
 * Use theses decorators instead:
 *
 * <ApiList query="status.includes('decorator') && status.includes('httpMethod')" />
 *
 * :::
 *
 * @param method
 * @param path
 * @decorator
 * @swagger
 * @schema
 * @operation
 */
function OperationPath(method, path = "/") {
    return (0, jsonEntityFn_1.JsonEntityFn)((store, args) => {
        if (store.decoratorType !== core_1.DecoratorTypes.METHOD) {
            throw new core_1.UnsupportedDecoratorType(OperationPath, args);
        }
        store.operation.addOperationPath(method.toUpperCase(), path);
    });
}
exports.OperationPath = OperationPath;
//# sourceMappingURL=operationPath.js.map