"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapOpenSpec2 = void 0;
const core_1 = require("@tsed/core");
const mapOpenSpecInfo_1 = require("./mapOpenSpecInfo");
/**
 * @ignore
 * @param spec
 * @param version
 * @param specVersion
 * @param acceptMimes
 */
function mapOpenSpec2(spec, { version, specVersion, acceptMimes = ["application/json"] }) {
    const { paths, security, tags, host, basePath, schemes, consumes = [], produces = ["application/json"], definitions, parameters, responses, securityDefinitions, externalDocs } = spec;
    return {
        swagger: specVersion,
        consumes: (0, core_1.uniq)([...acceptMimes, ...consumes]),
        produces: (0, core_1.uniq)([...produces]),
        info: (0, mapOpenSpecInfo_1.mapOpenSpecInfo)((0, core_1.getValue)(spec, "info", {})),
        paths,
        host,
        basePath,
        schemes,
        definitions,
        parameters,
        responses,
        security,
        securityDefinitions,
        tags,
        externalDocs
    };
}
exports.mapOpenSpec2 = mapOpenSpec2;
//# sourceMappingURL=mapOpenSpec2.js.map