import { isNumber, isString, useDecorators } from "@tsed/core";
import { JsonEntityFn } from "../common/jsonEntityFn.js";
import { Returns } from "./returns.js";
export function Redirect(...args) {
    const { status, url, meta } = args.reduce((options, value) => {
        if (isNumber(value)) {
            options.status = value;
            return options;
        }
        if (isString(value)) {
            options.url = value;
            return options;
        }
        options.meta = value;
        return options;
    }, { status: 302, url: "", meta: {} });
    return useDecorators(Returns(status).Location(url, meta), JsonEntityFn((entity) => {
        entity.operation?.setRedirection(status);
    }));
}
//# sourceMappingURL=redirect.js.map